﻿using System;
using Microsoft.Win32;
using System.Windows.Forms;

namespace WideStream.Configuration
{
    internal static class ApplicationRegistry
    {
        #region Construction
        private const string KEY = @"HKEY_CURRENT_USER\Software\WideStream";
        #endregion


        #region Methods
        public static void SetValue(string key, object value)
        {
			Registry.SetValue(KeyName, key, value);
		
        }


        public static T GetValue<T>(string key, T defaultValue)
        {
			object val = Registry.GetValue(KeyName, key, defaultValue);
            return val == null ? defaultValue : (T)Convert.ChangeType(val, typeof(T));
        }


        public static void SetStartupPath()
        {
            Registry.SetValue(KEY, "StartupPath", Application.ExecutablePath);
        }


		public static bool IsKeyExists()
		{
			return GetValue<String>("WideStream", null) != null;
		}
        #endregion


		#region Properties
		public static string KeyName
		{
			get { return String.Concat(KEY, "\\", new Version(Application.ProductVersion).ToString(3)); }
		}
		#endregion
	}
}
