﻿using System;

namespace WideStream.Configuration.ComponentModel
{
	[AttributeUsage(AttributeTargets.Property, AllowMultiple = false, Inherited = false)]
	public sealed class EditorAttribute : Attribute
	{
		#region Construction
		public EditorAttribute()
		{

		}


		public EditorAttribute(string displayName)
		{
			DisplayName = displayName;
		}
		#endregion


		#region Properties
		public string DisplayName { get; set; }

		public string Description { get; set; }

		public PropertyEditor Editor { get; set; }

		public bool ColSpan { get; set; }

		public Type ControlType { get; set; }
		
		public int Height { get; set; }

		public bool SkipLabel { get; set; }

        public bool RequiresRestart { get; set; }
		#endregion
	}
}
