﻿using System;
using System.Reflection;

namespace WideStream.Configuration.ComponentModel
{
	[AttributeUsage(AttributeTargets.Class, AllowMultiple = false, Inherited = false)]
	public sealed class OptionsAttribute : Attribute
	{
		#region Construction
		public OptionsAttribute()
		{

		}
		#endregion


		#region Methods
		public static OptionsAttribute GetAttribute(MemberInfo mi)
		{
			return (OptionsAttribute)Attribute.GetCustomAttribute(mi, typeof(OptionsAttribute));
		}
		#endregion


		#region Properties
		public string ShortName { get; set; }

		public string LongName { get; set; }

		public string Category { get; set; }

        public bool Hidden { get; set; }
		#endregion
	}
}
