﻿using System;
using WideStream.Configuration.ComponentModel;

namespace WideStream.Configuration
{
	public enum ConfigEncoding
	{
		[EnumName("IBM EBCDIC (US-Canada)")]
		IBM037 = 37,
		[EnumName("OEM United States")]
		IBM437 = 437,
		[EnumName("IBM EBCDIC (International)")]
		IBM500 = 500,
		[EnumName("Arabic (ASMO 708)")]
		ASMO_708 = 708,
		[EnumName("Arabic (DOS)")]
		DOS_720 = 720,
		[EnumName("Greek (DOS)")]
		Ibm737 = 737,
		[EnumName("Baltic (DOS)")]
		Ibm775 = 775,
		[EnumName("Western European (DOS)")]
		Ibm850 = 850,
		[EnumName("Central European (DOS)")]
		Ibm852 = 852,
		[EnumName("OEM Cyrillic")]
		IBM855 = 855,
		[EnumName("Turkish (DOS)")]
		Ibm857 = 857,
		[EnumName("OEM Multilingual Latin I")]
		IBM00858 = 858,
		[EnumName("Portuguese (DOS)")]
		IBM860 = 860,
		[EnumName("Icelandic (DOS)")]
		Ibm861 = 861,
		[EnumName("Hebrew (DOS)")]
		DOS_862 = 862,
		[EnumName("French Canadian (DOS)")]
		IBM863 = 863,
		[EnumName("Arabic (864)")]
		IBM864 = 864,
		[EnumName("Nordic (DOS)")]
		IBM865 = 865,
		[EnumName("Cyrillic (DOS)")]
		Cp866 = 866,
		[EnumName("Greek, Modern (DOS)")]
		Ibm869 = 869,
		[EnumName("IBM EBCDIC (Multilingual Latin-2)")]
		IBM870 = 870,
		[EnumName("Thai (Windows)")]
		Windows_874 = 874,
		[EnumName("IBM EBCDIC (Greek Modern)")]
		Cp875 = 875,
		[EnumName("Japanese (Shift-JIS)")]
		Shift_jis = 932,
		[EnumName("Chinese Simplified (GB2312)")]
		Gb2312 = 936,
		[EnumName("Korean")]
		Ks_c_5601_1987 = 949,
		[EnumName("Chinese Traditional (Big5)")]
		Big5 = 950,
		[EnumName("IBM EBCDIC (Turkish Latin-5)")]
		IBM1026 = 1026,
		[EnumName("IBM Latin-1")]
		IBM01047 = 1047,
		[EnumName("IBM EBCDIC (US-Canada-Euro)")]
		IBM01140 = 1140,
		[EnumName("IBM EBCDIC (Germany-Euro)")]
		IBM01141 = 1141,
		[EnumName("IBM EBCDIC (Denmark-Norway-Euro)")]
		IBM01142 = 1142,
		[EnumName("IBM EBCDIC (Finland-Sweden-Euro)")]
		IBM01143 = 1143,
		[EnumName("IBM EBCDIC (Italy-Euro)")]
		IBM01144 = 1144,
		[EnumName("IBM EBCDIC (Spain-Euro)")]
		IBM01145 = 1145,
		[EnumName("IBM EBCDIC (UK-Euro)")]
		IBM01146 = 1146,
		[EnumName("IBM EBCDIC (France-Euro)")]
		IBM01147 = 1147,
		[EnumName("IBM EBCDIC (International-Euro)")]
		IBM01148 = 1148,
		[EnumName("IBM EBCDIC (Icelandic-Euro)")]
		IBM01149 = 1149,
		[EnumName("Unicode")]
		Utf_16 = 1200,
		[EnumName("Unicode (Big-Endian)")]
		UnicodeFFFE = 1201,
		[EnumName("Central European (Windows)")]
		Windows_1250 = 1250,
		[EnumName("Cyrillic (Windows)")]
		Windows_1251 = 1251,
		[EnumName("Western European (Windows)")]
		Windows_1252 = 1252,
		[EnumName("Greek (Windows)")]
		Windows_1253 = 1253,
		[EnumName("Turkish (Windows)")]
		Windows_1254 = 1254,
		[EnumName("Hebrew (Windows)")]
		Windows_1255 = 1255,
		[EnumName("Arabic (Windows)")]
		Windows_1256 = 1256,
		[EnumName("Baltic (Windows)")]
		Windows_1257 = 1257,
		[EnumName("Vietnamese (Windows)")]
		Windows_1258 = 1258,
		[EnumName("Korean (Johab)")]
		Johab = 1361,
		[EnumName("Western European (Mac)")]
		Macintosh = 10000,
		[EnumName("Japanese (Mac)")]
		X_mac_japanese = 10001,
		[EnumName("Chinese Traditional (Mac)")]
		X_mac_chinesetrad = 10002,
		[EnumName("Korean (Mac)")]
		X_mac_korean = 10003,
		[EnumName("Arabic (Mac)")]
		X_mac_arabic = 10004,
		[EnumName("Hebrew (Mac)")]
		X_mac_hebrew = 10005,
		[EnumName("Greek (Mac)")]
		X_mac_greek = 10006,
		[EnumName("Cyrillic (Mac)")]
		X_mac_cyrillic = 10007,
		[EnumName("Chinese Simplified (Mac)")]
		X_mac_chinesesimp = 10008,
		[EnumName("Romanian (Mac)")]
		X_mac_romanian = 10010,
		[EnumName("Ukrainian (Mac)")]
		X_mac_ukrainian = 10017,
		[EnumName("Thai (Mac)")]
		X_mac_thai = 10021,
		[EnumName("Central European (Mac)")]
		X_mac_ce = 10029,
		[EnumName("Icelandic (Mac)")]
		X_mac_icelandic = 10079,
		[EnumName("Turkish (Mac)")]
		X_mac_turkish = 10081,
		[EnumName("Croatian (Mac)")]
		X_mac_croatian = 10082,
		[EnumName("Unicode (UTF-32)")]
		Utf_32 = 12000,
		[EnumName("Unicode (UTF-32 Big-Endian)")]
		Utf_32BE = 12001,
		[EnumName("Chinese Traditional (CNS)")]
		X_Chinese_CNS = 20000,
		[EnumName("TCA Taiwan")]
		X_cp20001 = 20001,
		[EnumName("Chinese Traditional (Eten)")]
		X_Chinese_Eten = 20002,
		[EnumName("IBM5550 Taiwan")]
		X_cp20003 = 20003,
		[EnumName("TeleText Taiwan")]
		X_cp20004 = 20004,
		[EnumName("Wang Taiwan")]
		X_cp20005 = 20005,
		[EnumName("Western European (IA5)")]
		X_IA5 = 20105,
		[EnumName("German (IA5)")]
		X_IA5_German = 20106,
		[EnumName("Swedish (IA5)")]
		X_IA5_Swedish = 20107,
		[EnumName("Norwegian (IA5)")]
		X_IA5_Norwegian = 20108,
		[EnumName("US-ASCII")]
		Us_ascii = 20127,
		[EnumName("T.61")]
		X_cp20261 = 20261,
		[EnumName("ISO-6937")]
		X_cp20269 = 20269,
		[EnumName("IBM EBCDIC (Germany)")]
		IBM273 = 20273,
		[EnumName("IBM EBCDIC (Denmark-Norway)")]
		IBM277 = 20277,
		[EnumName("IBM EBCDIC (Finland-Sweden)")]
		IBM278 = 20278,
		[EnumName("IBM EBCDIC (Italy)")]
		IBM280 = 20280,
		[EnumName("IBM EBCDIC (Spain)")]
		IBM284 = 20284,
		[EnumName("IBM EBCDIC (UK)")]
		IBM285 = 20285,
		[EnumName("IBM EBCDIC (Japanese katakana)")]
		IBM290 = 20290,
		[EnumName("IBM EBCDIC (France)")]
		IBM297 = 20297,
		[EnumName("IBM EBCDIC (Arabic)")]
		IBM420 = 20420,
		[EnumName("IBM EBCDIC (Greek)")]
		IBM423 = 20423,
		[EnumName("IBM EBCDIC (Hebrew)")]
		IBM424 = 20424,
		[EnumName("IBM EBCDIC (Korean Extended)")]
		X_EBCDIC_KoreanExtended = 20833,
		[EnumName("IBM EBCDIC (Thai)")]
		IBM_Thai = 20838,
		[EnumName("Cyrillic (KOI8-R)")]
		Koi8_r = 20866,
		[EnumName("IBM EBCDIC (Icelandic)")]
		IBM871 = 20871,
		[EnumName("IBM EBCDIC (Cyrillic Russian)")]
		IBM880 = 20880,
		[EnumName("IBM EBCDIC (Turkish)")]
		IBM905 = 20905,
		[EnumName("IBM Latin-1")]
		IBM00924 = 20924,
		[EnumName("Japanese (JIS 0208-1990 and 0212-1990)")]
		EUC_JP = 20932,
		[EnumName("Chinese Simplified (GB2312-80)")]
		X_cp20936 = 20936,
		[EnumName("Korean Wansung")]
		X_cp20949 = 20949,
		[EnumName("IBM EBCDIC (Cyrillic Serbian-Bulgarian)")]
		Cp1025 = 21025,
		[EnumName("Cyrillic (KOI8-U)")]
		Koi8_u = 21866,
		[EnumName("Western European (ISO)")]
		Iso_8859_1 = 28591,
		[EnumName("Central European (ISO)")]
		Iso_8859_2 = 28592,
		[EnumName("Latin 3 (ISO)")]
		Iso_8859_3 = 28593,
		[EnumName("Baltic (ISO)")]
		Iso_8859_4 = 28594,
		[EnumName("Cyrillic (ISO)")]
		Iso_8859_5 = 28595,
		[EnumName("Arabic (ISO)")]
		Iso_8859_6 = 28596,
		[EnumName("Greek (ISO)")]
		Iso_8859_7 = 28597,
		[EnumName("Hebrew (ISO-Visual)")]
		Iso_8859_8 = 28598,
		[EnumName("Turkish (ISO)")]
		Iso_8859_9 = 28599,
		[EnumName("Estonian (ISO)")]
		Iso_8859_13 = 28603,
		[EnumName("Latin 9 (ISO)")]
		Iso_8859_15 = 28605,
		[EnumName("Europa")]
		X_Europa = 29001,
		[EnumName("Hebrew (ISO-Logical)")]
		Iso_8859_8_i = 38598,
		[EnumName("Japanese (JIS)")]
		Iso_2022_jp = 50220,
		[EnumName("Japanese (JIS-Allow 1 byte Kana)")]
		CsISO2022JP = 50221,
		[EnumName("Japanese (JIS-Allow 1 byte Kana - SO/SI)")]
		Iso_2022_jp_SOSI = 50222,
		[EnumName("Korean (ISO)")]
		Iso_2022_kr = 50225,
		[EnumName("Chinese Simplified (ISO-2022)")]
		X_cp50227 = 50227,
		[EnumName("Japanese (EUC)")]
		Euc_jp = 51932,
		[EnumName("Chinese Simplified (EUC)")]
		EUC_CN = 51936,
		[EnumName("Korean (EUC)")]
		Euc_kr = 51949,
		[EnumName("Chinese Simplified (HZ)")]
		Hz_gb_2312 = 52936,
		[EnumName("Chinese Simplified (GB18030)")]
		GB18030 = 54936,
		[EnumName("ISCII Devanagari")]
		X_iscii_de = 57002,
		[EnumName("ISCII Bengali")]
		X_iscii_be = 57003,
		[EnumName("ISCII Tamil")]
		X_iscii_ta = 57004,
		[EnumName("ISCII Telugu")]
		X_iscii_te = 57005,
		[EnumName("ISCII Assamese")]
		X_iscii_as = 57006,
		[EnumName("ISCII Oriya")]
		X_iscii_or = 57007,
		[EnumName("ISCII Kannada")]
		X_iscii_ka = 57008,
		[EnumName("ISCII Malayalam")]
		X_iscii_ma = 57009,
		[EnumName("ISCII Gujarati")]
		X_iscii_gu = 57010,
		[EnumName("ISCII Punjabi")]
		X_iscii_pa = 57011,
		[EnumName("Unicode (UTF-7)")]
		Utf_7 = 65000,
		[EnumName("Unicode (UTF-8)")]
		Utf_8 = 65001
	}
}
