﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using WideStream.Startup.Resources;

namespace WideStream.Configuration.Presentation
{
    public partial class FilePathDialog : Form
    {
        #region Construction
        public FilePathDialog()
        {
            InitializeComponent();
        }
        #endregion
        

        #region Methods
        private void folderButton_Click(object sender, EventArgs e)
        {
            if (ShowFileDialog)
            {
                openFileDialog.FileName = folderTextBox.Text;

                if (openFileDialog.ShowDialog() == DialogResult.OK)
                    folderTextBox.Text = openFileDialog.FileName;
            }
            else
            {
                openFolderDialog.SelectedPath = folderTextBox.Text;

                if (openFolderDialog.ShowDialog() == DialogResult.OK)
                    folderTextBox.Text = openFolderDialog.SelectedPath;
            }
        }

        
        private void FilePathDialog_Load(object sender, EventArgs e)
        {
            if (textLabel.Height > 13)
            {
                folderPanel.Top += textLabel.Height - 13;
                acceptButton.Top += textLabel.Height - 13;
                cancelButton.Top += textLabel.Height - 13;
                Height += textLabel.Height - 13;
            }

            acceptButton.Text = GetString("AcceptTitle");
            cancelButton.Text = GetString("CancelTitle");
        }


        private string GetString(string key)
        {
            return StringTable.GetString(String.Format("FilePath.{0}", key));
        }
        #endregion
        

        #region Properties
        public string DialogTitle
        {
            get { return Text; }
            set { Text = value; }
        }


        public string Description
        {
            get { return textLabel.Text; }
            set { textLabel.Text = value; }
        }


        public string SelectedPath
        {
            get { return folderTextBox.Text; }
            set { folderTextBox.Text = value; }
        }


        public bool ShowFileDialog { get; set; }
        #endregion
    }
}
