﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WideStream.Core.ComponentModel;
using WideStream.Core.Network;
using WideStream.Configuration.ComponentModel;
using WideStream.Workspace.Configuration;

namespace WideStream.Configuration
{
    [Options(Category = "RecoveryOptions.Category", LongName = "RecoveryOptions.LongName", ShortName = "RecoveryOptions.ShortName")]
	public sealed class RecoveryOptions : Options
	{
		#region Construction
		public RecoveryOptions()
		{
			UsePasswordEncryption = true;
			WindowStateSave = WindowStateSaveOption.Never;
			WindowPositionSave = WindowPositionSaveOption.Save;
		}
		#endregion


		#region Properties
        [Editor("RecoveryOptions.ConfigFileLocation", Editor = PropertyEditor.FolderPicker, ColSpan = true)]
		[SaveRule(Ignore = true)]
		public string ConfigFileLocation
		{
			get { return Config.ConfigPath; }
			set { Config.ConfigPath = value; }
		}


        [Editor("RecoveryOptions.UsePasswordEncryption")]
		public bool UsePasswordEncryption { get; set; }


        [Editor("RecoveryOptions.ConfigEncoding")]
		public ConfigEncoding ConfigEncoding
		{
			get { return (ConfigEncoding)Config.ConfigEncoding; }
			set { Config.ConfigEncoding = (Int32)value; }
		}


        [Editor("RecoveryOptions.OnSaveError")]
		[SaveRule(Ignore = true)]
		public OnSaveErrorAction OnSaveError
		{
			get { return Config.OnSaveErrorAction; }
			set { Config.OnSaveErrorAction = value; }
		}


        [Editor("RecoveryOptions.OnLoadError")]
		[SaveRule(Ignore = true)]
		public OnLoadErrorAction OnLoadError
		{
			get { return Config.OnLoadErrorAction; }
			set { Config.OnLoadErrorAction = value; }
		}

        [Editor("RecoveryOptions.WindowPositionSave")]
		public WindowPositionSaveOption WindowPositionSave { get; set; }

        [Editor("RecoveryOptions.WindowStateSave")]
		public WindowStateSaveOption WindowStateSave { get; set; }
		#endregion
	}
}
