﻿using System;
using System.Net;

namespace WideStream.Core.Network
{
    public sealed class Credentials : NetworkCredential
    {
        #region Construction
        public Credentials(string userName, string password) :
            base(userName, password)
        {
            int index;

            if ((index = userName.IndexOf('\\')) != -1)
            {
                base.Domain = userName.Substring(0, index);
                base.UserName = userName.Substring(index + 1);
            }
        }


        public Credentials(string domain, string userName, string password) :
            base(userName, password, domain)
        {

        }
        #endregion


        #region Methods
        public override string ToString()
        {
            return String.Format("user={0};password={1}",
                FullUserName, Password);
        }
        #endregion


        #region Properties
        public string FullUserName
        {
            get 
            { 
                return !String.IsNullOrEmpty(Domain) ? 
                    String.Format("{0}\\{1}", Domain, UserName) : UserName; 
            }
        }
        #endregion
    }
}
