﻿using System;
using System.Threading;

namespace WideStream.Core.Runtime
{
	public abstract class Parallel
	{
		#region Construction
		protected Parallel()
		{
			SyncRoot = new Object();
		}
		#endregion
		

		#region Methods
		protected void AsParallel(ThreadStart ts)
		{
			AsParallel(ts, 0);
		}


		protected void AsParallel(ThreadStart ts, int delay)
		{			
			Thread t = new Thread(delay > 0 ?
				() => { Thread.Sleep(delay); ts(); } : ts);
            t.Start();
		}


		protected void Sleep(int delay)
		{
			Thread.Sleep(delay);
		}
		#endregion


		#region Properties
		protected object SyncRoot { get; private set; }
		#endregion
	}
}
