using System;

namespace WideStream.Core.Runtime
{
	public struct Result<T>
	{
		#region Construction
		public static readonly Result<T> FailureResult = new Result<T>();
		
		public Result(T value) : this()
		{
			Value = value;
			Success = true;
		}
		#endregion
			
		
		#region Properties
		public bool Success { get; private set; }
		
		public T Value { get; private set; }
		#endregion
	}
}