﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WideStream.Configuration.ComponentModel;
using System.Drawing;
using WideStream.Configuration;

namespace WideStream.DownloadManager.Configuration
{
    [Options(Category = "ActiveDownloadsOptions.Category", LongName = "ActiveDownloadsOptions.LongName", ShortName = "ActiveDownloadsOptions.ShortName")]
	public sealed class ActiveDownloadsOptions : Options
	{
		#region Construction
		public ActiveDownloadsOptions()
		{
			TopMost = Transparent = true;			
			BackColor = Color.Lavender;
			AltBackColor = Color.White;
			HeaderTextColor = SystemColors.ActiveCaptionText;
			HeaderBackColor = SystemColors.ActiveCaption;
			AutoShowHide = false;
			WindowPositionSave = WindowPositionSaveOption.Save;
		}
		#endregion


		#region Properties
        [Editor("ActiveDownloadsOptions.AutoShowHide")]
		public bool AutoShowHide { get; set; }

        [Editor("ActiveDownloadsOptions.WindowPositionSave")]
		public WindowPositionSaveOption WindowPositionSave { get; set; }

        [Editor("ActiveDownloadsOptions.HeaderTextColor")]
		public Color HeaderTextColor { get; set; }

        [Editor("ActiveDownloadsOptions.HeaderBackColor")]
		public Color HeaderBackColor { get; set; }

        [Editor("ActiveDownloadsOptions.BackColor")]
		public Color BackColor { get; set; }

        [Editor("ActiveDownloadsOptions.AltBackColor")]
		public Color AltBackColor { get; set; }

        [Editor("ActiveDownloadsOptions.Transparent")]
		public bool Transparent { get; set; }

        [Editor("ActiveDownloadsOptions.TopMost")]
		public bool TopMost { get; set; }

		public int Top { get; set; }

		public int Left { get; set; }
		#endregion
	}
}
