﻿using System;
using WideStream.Configuration.ComponentModel;

namespace WideStream.DownloadManager.Configuration
{
    [Options(Category = "DownloadManagerDisplayOptions.Category", LongName = "DownloadManagerDisplayOptions.LongName", ShortName = "DownloadManagerDisplayOptions.ShortName")]
	public sealed class DownloadManagerDisplayOptions : Options
	{
		#region Construction
		private object syncRoot = new Object();

		public DownloadManagerDisplayOptions()
		{
			AllowResizeColumns = AllowRegroupColumns = true;
			QueueColumns = QueueColumns.Downloaded | QueueColumns.Speed | QueueColumns.TimeLeft;
			DisplaySpeedChangeIcon = true;
			DisplayPriorityIcon = false;
            QueueScroll = DownloadQueueScroll.Always;
            DefaultAction = DefaultAction.ShowProperties;
		}
		#endregion


		#region Properties
        [Editor("DownloadManagerDisplayOptions.ShowFileNameOnly")]
		public bool ShowFileNameOnly { get; set; }

        [Editor("DownloadManagerDisplayOptions.DefaultAction")]
        public DefaultAction DefaultAction { get; set; }

        [Editor("DownloadManagerDisplayOptions.QueueScroll")]
        public DownloadQueueScroll QueueScroll { get; set; }

        [Editor("DownloadManagerDisplayOptions.DisplayPriorityIcon")]
		public bool DisplayPriorityIcon { get; set; }

        [Editor("DownloadManagerDisplayOptions.DisplaySpeedChangeIcon")]
		public bool DisplaySpeedChangeIcon { get; set; }

        [Editor("DownloadManagerDisplayOptions.AllowResizeColumns")]
		public bool AllowResizeColumns { get; set; }

        [Editor("DownloadManagerDisplayOptions.AllowRegroupColumns")]
		public bool AllowRegroupColumns { get; set; }

        [Editor("DownloadManagerDisplayOptions.QueueColumns", Editor = PropertyEditor.FlagsEditor, ColSpan = true, Height = 70)]
		public QueueColumns QueueColumns { get; set; }
		#endregion
	}
}
