﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WideStream.Configuration.ComponentModel;
using System.Drawing;

namespace WideStream.DownloadManager.Configuration
{
    [Options(Category = "NotificationOptions.Category", LongName = "NotificationOptions.LongName", ShortName = "NotificationOptions.ShortName")]
	public sealed class NotificationOptions : Options
	{
		#region Construction
		public NotificationOptions()
		{
			EnabledNotifications = Notifications.DownloadAdded | Notifications.DownloadCompleted |
				Notifications.DownloadFailed | Notifications.ManyDownloadAdded;
			DisplayTime = NotificationDisplayTime.Sec6;
			UseFadeIn = true;
			AddBackColor = Color.DarkGray;
			AddForeColor = Color.Black;
			CompleteBackColor = Color.DarkSeaGreen;
			CompleteForeColor = Color.Black;
			FailedBackColor = Color.DarkSalmon;
			FailedForeColor = Color.Black;
		}
		#endregion


		#region Properties
        [Editor("NotificationOptions.DisplayTime")]
		public NotificationDisplayTime DisplayTime { get; set; }

        [Editor("NotificationOptions.UseFadeIn")]
		public bool UseFadeIn { get; set; }

		private Color _addBackColor;
        [Editor("NotificationOptions.AddBackColor")]
		public Color AddBackColor 
		{
			get { return _addBackColor; }
			set
			{
				_addBackColor = value;
			}
		}

        [Editor("NotificationOptions.AddForeColor")]
		public Color AddForeColor { get; set; }

        [Editor("NotificationOptions.CompleteBackColor")]
		public Color CompleteBackColor { get; set; }

        [Editor("NotificationOptions.CompleteForeColor")]
		public Color CompleteForeColor { get; set; }

        [Editor("NotificationOptions.FailedBackColor")]
		public Color FailedBackColor { get; set; }

        [Editor("NotificationOptions.FailedForeColor")]
		public Color FailedForeColor { get; set; }

        [Editor("NotificationOptions.EnabledNotifications", ColSpan = true, Editor = PropertyEditor.FlagsEditor, Height = 70)]
		public Notifications EnabledNotifications { get; set; }		
		#endregion
	}
}
