﻿using System;
using System.Net;
using System.Net.Configuration;
using System.Reflection;
using WideStream.DownloadManager.Network.ObjectModel;

namespace WideStream.DownloadManager.Network
{
	public abstract class DownloadConfiguration : DownloadTask, IDownloadConfiguration
	{
		#region Construction
		protected DownloadConfiguration(IDownloadProcess process) : base(process)
		{

		}
		#endregion


		#region Methods
		public virtual void Configure(IDownloadRequest request)
		{
			State.ResumeMode = State.Segments.Count > 0;
            SetUseUnsafeHeaderParsing(true);			
		}


		public abstract void Authorize(IDownloadRequest request);


		public abstract void Negotiate(IDownloadRequest request);


		public abstract void PrepareForDownload(IDownloadRequest request, Segment segment);


		private void SetUseUnsafeHeaderParsing(bool val)
		{
			Assembly a = Assembly.GetAssembly(typeof(SettingsSection));
			Type t = a.GetType("System.Net.Configuration.SettingsSectionInternal");
			object o = t.InvokeMember("Section",
				BindingFlags.Static | BindingFlags.GetProperty | BindingFlags.NonPublic, null, null, new object[0]);
			FieldInfo f = t.GetField("useUnsafeHeaderParsing", BindingFlags.NonPublic | BindingFlags.Instance);
			f.SetValue(o, val);
		}
		#endregion
	}
}
