﻿using System;
using System.Linq;
using WideStream.DownloadManager.Network.ObjectModel;
using System.Collections.Generic;

namespace WideStream.DownloadManager.Network
{
	public static class DownloadProtocolManager
	{
		#region Construction
		private static List<DownloadProtocol> protocols = new List<DownloadProtocol>();
		#endregion


		#region Methods
		public static void RegisterProtocol(DownloadProtocol protocol)
		{
            protocols.Add(protocol);
		}


		public static DownloadProtocol IdentifyProtocol(Uri url)
		{
			return protocols.FirstOrDefault(t => t.Provider.Match(url));
		}


		public static IEnumerable<DownloadProtocol> EnumerateDownloadTypes()
		{
			return protocols;
		}
		#endregion
	}
}
