﻿using System;
using System.Collections.Generic;
using System.Net;
using WideStream.Core.Runtime;
using WideStream.DownloadManager.Network.ObjectModel;

namespace WideStream.DownloadManager.Network
{
	public abstract class DownloadTask : LogTask, IDownloadTask
	{
		#region Construction
		protected DownloadTask(IDownloadProcess process) : base(process.Log)
		{
			Process = process;
			State = process.Properties.State;
			Properties = process.Properties;
		}
		#endregion


		#region Properties
		public IDownloadProcess Process { get; private set; }

		protected DownloadState State { get; private set; }

		protected DownloadProperties Properties { get; private set; }
		#endregion
	}
}
