﻿using System;
using System.Threading;

namespace WideStream.DownloadManager.Network.ObjectModel
{
    public sealed class AdapterResult
    {
        #region Construction
        public static readonly AdapterResult Default = new AdapterResult();

        private AdapterResult()
        {
            CompletedSynchroniously = true;
        }


        public AdapterResult(WaitHandle waitHandle)
        {
            CompletedSynchroniously = false;
            WaitHandle = waitHandle;
        }
        #endregion


        #region Properties
        public bool CompletedSynchroniously { get; private set; }

        public WaitHandle WaitHandle { get; private set; }
        #endregion
    }
}
