﻿using System;
using System.Drawing;

namespace WideStream.DownloadManager.Network.ObjectModel
{
    public sealed class DownloadAdapterAddin
    {
        #region Construction
        public DownloadAdapterAddin(string key, string name, string matchPattern, string description, 
            Type type, Image image)
        {
            Key = key;
            Name = name;
            MatchPattern = matchPattern;
            Description = description;
            AdapterType = type;
            Image = image;
        }
        #endregion


        #region Methods
        public override string ToString()
        {
            return Name;
        }
        #endregion


        #region Properties
        public string Key { get; private set; }

        public Image Image { get; private set; }

        public string MatchPattern { get; private set; }

        public string Name { get; private set; }

        public string Description { get; private set; }

        public Type AdapterType { get; private set; }
        #endregion
    }
}
