﻿using System;
using WideStream.Configuration.ComponentModel;

namespace WideStream.DownloadManager.Network.ObjectModel
{
	public sealed class DownloadProtocol
	{
		#region Construction
		public DownloadProtocol(string key, string name, IDownloadProvider adapter, Options options)
		{
			Key = key;
			Name = name;
			Provider = adapter;
			Options = options;
		}
		#endregion


		#region Methods
		public override bool Equals(object obj)
		{
			return obj is DownloadProtocol && ((DownloadProtocol)obj).Key == Key;
		}


		public override string ToString()
		{
			return Name;
		}


		public override int GetHashCode()
		{
			return Key.GetHashCode();
		}
		#endregion


		#region Properties
		public string Key { get; private set; }

		public string Name { get; private set; }

        public string Description { get; set; }
        
        public IDownloadProvider Provider { get; private set; }

		public Options Options { get; private set; }
		#endregion
	}
}
