﻿using System;

namespace WideStream.DownloadManager.Network.ObjectModel
{
    public interface IDownloadAdapter
    {
        void Initialize(IDownloadProcess process);

        AdapterResult Analyze(IConnectionInformation information, IDownloadResponse response);

        AdapterResult Negotiate(IDownloadRequest request);

        Uri DiscoveryUrl { get; }

        Uri DownloadUrl { get; }

        string DiscoveryMethod { get; }

        int? MaximumConnections { get; }

        bool RequiresRestart { get; }
    }
}
