﻿using System;
using WideStream.Logging;
using WideStream.Workspace.ComponentModel;

namespace WideStream.DownloadManager.Network.ObjectModel
{
	public interface IDownloadProcess
	{
		void Initialize(Guid key, DownloadProperties properties, ILog log, IProgressIndicator indicator);

		void Wait();

		void Start();

		void Pause();

		void Abort();

		bool AddConnection();

		bool DropConnection();

		Guid Key { get; }

		ILog Log { get; }

		int MaximumConnections { get; }

		int ActiveConnectionsCount { get; }

        int Position { get; set; }

		DownloadPriority Priority { get; }

		IConnectionInformation ConnectionInformation { get; }

        IDownloadAdapter Adapter { get; }

		IProgressIndicator Indicator { get; }

		DownloadStatus Status { get; }

		bool Busy { get; }

		DownloadProperties Properties { get; set; }

		event EventHandler StatusChanged;
	}
}
