﻿using System;
using System.Net;
using WideStream.DownloadManager.Network;
using WideStream.DownloadManager.Network.ObjectModel;

namespace WideStream.DownloadManager.Network.Protocols.Ftp
{
	public sealed class FtpDownloadCreator : IDownloadCreator
	{
		#region Construction
		public FtpDownloadCreator()
		{

		}
		#endregion
		

		#region Methods
		public T Create<T>(IDownloadProcess process) where T : class, IDownloadTask
		{
			Guid typeKey = typeof(T).GUID;

			if (typeof(IDownloadConfiguration).GUID == typeKey)
				return new FtpDownloadConfiguration(process) as T;
			else if (typeof(IServerConnection).GUID == typeKey)
				return new FtpServerConnection(process) as T;
			else if (typeof(IDownloadConnection).GUID == typeKey)
				return new FtpDownloadConnection(process) as T;
			else if (typeof(IDownloadProtocol).GUID == typeKey)
				return new FtpDownloadProtocol(process) as T;

			return default(T);
		}
		#endregion
	}
}
