﻿using System;
using System.Net;
using WideStream.DownloadManager.Network.ObjectModel;

namespace WideStream.DownloadManager.Network.Protocols.Ftp
{
	public sealed class FtpDownloadProtocol : DownloadTask, IDownloadProtocol
	{
		#region Construction
		public FtpDownloadProtocol(IDownloadProcess process) : base(process)
		{

		}
		#endregion


		#region Methods
		public IDownloadRequest CreateRequest(Uri url)
		{
			FtpWebRequest req = WebRequest.Create(url) as FtpWebRequest;
			return req != null ? new FtpDownloadRequest(req) : null;
		}


		public IDownloadResponse ObtainResponse(IDownloadRequest request)
		{
			FtpDownloadRequest req = request as FtpDownloadRequest;

			if (req == null)
				throw new NotSupportedException();

			FtpWebResponse resp = (FtpWebResponse)req.Request.GetResponse();
			return new FtpDownloadResponse(resp);
		}
		#endregion
	}
}
