﻿using System;
using System.IO;
using System.Net;
using WideStream.DownloadManager.Network.ObjectModel;

namespace WideStream.DownloadManager.Network.Protocols.Ftp
{
	public sealed class FtpDownloadResponse : IDownloadResponse
	{
		#region Construction
		internal FtpDownloadResponse(FtpWebResponse response)
		{
			Response = response;
		}
		#endregion


		#region Methods
		public void Dispose()
		{
			if (Response != null)
			{
				Response.Close();
				Response = null;
			}
		}
		#endregion


		#region Properties
		Uri IDownloadResponse.ResponseUrl
		{
			get { return Response.ResponseUri; }
		}

		internal FtpWebResponse Response { get; private set; }
		#endregion
	}
}