﻿using System;
using System.Net;
using WideStream.DownloadManager.Network;
using WideStream.DownloadManager.Network.ObjectModel;

namespace WideStream.DownloadManager.Network.Protocols.Http
{
	public sealed class HttpDownloadCreator : IDownloadCreator
	{
		#region Construction
		public HttpDownloadCreator()
		{

		}
		#endregion



		#region Methods
		public T Create<T>(IDownloadProcess process) where T : class, IDownloadTask
		{
			Guid typeKey = typeof(T).GUID;

			if (typeof(IDownloadConfiguration).GUID == typeKey)
				return new HttpDownloadConfiguration(process) as T;
			else if (typeof(IServerConnection).GUID == typeKey)
				return new HttpServerConnection(process) as T;
			else if (typeof(IDownloadConnection).GUID == typeKey)
				return new HttpDownloadConnection(process) as T;
			else if (typeof(IDownloadProtocol).GUID == typeKey)
				return new HttpDownloadProtocol(process) as T;

			return default(T);
		}
		#endregion
	}
}
