﻿using System;
using WideStream.DownloadManager.Network.ObjectModel;
using System.Net;

namespace WideStream.DownloadManager.Network.Protocols.Http
{
	public sealed class HttpDownloadProtocol : DownloadTask, IDownloadProtocol
	{
		#region Construction
		public HttpDownloadProtocol(IDownloadProcess process) : base(process)
		{

		}
		#endregion


		#region Methods
		public IDownloadRequest CreateRequest(Uri url)
		{
			HttpWebRequest req = WebRequest.Create(url) as HttpWebRequest;
			return req != null ? new HttpDownloadRequest(req) : null;
		}


		public IDownloadResponse ObtainResponse(IDownloadRequest request)
		{
			HttpDownloadRequest req = request as HttpDownloadRequest;
			
			if (req == null)
				throw new NotSupportedException();

			HttpWebResponse resp = (HttpWebResponse)req.Request.GetResponse();
			return new HttpDownloadResponse(resp);
		}
		#endregion
	}
}
