﻿using System;
using System.Net;
using WideStream.DownloadManager.Network.ObjectModel;

namespace WideStream.DownloadManager.Network.Protocols.Http
{
	public sealed class HttpDownloadResponse : IDownloadResponse
	{
		#region Construction
		internal HttpDownloadResponse(HttpWebResponse response)
		{
			Response = response;
		}
		#endregion


		#region Methods
		public void Dispose()
		{
			if (Response != null)
			{
				Response.Close();
				Response = null;
			}
		}
		#endregion


		#region Properties
		public Uri ResponseUrl
		{
			get { return Response.ResponseUri; }
		}

		internal HttpWebResponse Response { get; private set; }
		#endregion
	}
}