﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Web;

namespace WideStream.DownloadManager.Network.Protocols.Http
{
    public sealed class HttpForm
    {
        #region Construction
        private Dictionary<String,String> fields = new Dictionary<String,String>();

        internal HttpForm()
        {

        }
        #endregion


        #region Methods
        public void SetField(string key, string value)
        {
            if (fields.ContainsKey(key))
                fields[key] = value;
            else
                fields.Add(key, value);
        }


        public string GetField(string key)
        {
            string value;
            fields.TryGetValue(key, out value);
            return value ?? String.Empty;
        }


        public override string ToString()
        {
            StringBuilder sb = new StringBuilder();

            foreach (string k in fields.Keys)
            {
                if (sb.Length > 0)
                    sb.Append('&');

                sb.AppendFormat("{0}={1}", k, HttpUtility.UrlEncode(fields[k]));
            }

            return sb.ToString();
        }
        #endregion
    }
}
