﻿using System;
using WideStream.Configuration.ComponentModel;

namespace WideStream.DownloadManager.Network.Protocols.Http
{
	[Options(Category = "HttpOptions.Category", LongName = "HttpOptions.LongName", ShortName = "HttpOptions.ShortName")]
	public sealed class HttpOptions : Options
	{
		#region Construction
		public HttpOptions()
		{
			ProtocolVersion = HttpProtocolVersion.Http11;
			KeepAlive = true;
			AllowAutoRedirect = true;
			MaximumRedirections = HttpMaximumRedirections.Redirect50;
		}
		#endregion


		#region Properties
        [Editor("HttpOptions.ProtocolVersion")]
		public HttpProtocolVersion ProtocolVersion { get; set; }

        [Editor("HttpOptions.KeepAlive")]
		public bool KeepAlive { get; set; }

        [Editor("HttpOptions.AllowAutoRedirect")]
		public bool AllowAutoRedirect { get; set; }

        [Editor("HttpOptions.MaximumRedirections")]
		public HttpMaximumRedirections MaximumRedirections { get; set; }

        [Editor("HttpOptions.SendGet")]
        public bool SendGet { get; set; }
		#endregion
	}
}
