﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using WideStream.DownloadManager.Network.ObjectModel;
using System.IO;
using System.Threading;
using WideStream.Startup;
using WideStream.Startup.Resources;

namespace WideStream.DownloadManager.Presentation
{
    public partial class DownloadFileDialog : Form
    {
        private AutoResetEvent handle;

        public DownloadFileDialog()
        {
            InitializeComponent();
        }


        private void DownloadFileDialog_Load(object sender, EventArgs e)
        {
            Text = DownloadName;
            filePicker.Value = InvalidFile.ToString();
            acceptButton.Text = StringTable.GetString(acceptButton.Text);
            cancelButton.Text = StringTable.GetString(cancelButton.Text);
            altRadio.Text = StringTable.GetString(altRadio.Text);
            overRadio.Text = StringTable.GetString(overRadio.Text);
        }


        public WaitHandle SafeShow()
        {
            handle = new AutoResetEvent(false);
            Program.Environment.MainForm.Invoke((MethodInvoker)delegate {
                Show();
            });            
            return handle;
        }


        public void SafeClose()
        {
            Program.Environment.MainForm.Invoke((MethodInvoker)delegate {
                Dispose();
            });
        }


        public string DownloadName { get; set; }

        public FileInfo InvalidFile { get; set; }

        public bool Overwrite
        {
            get 
            {
                bool ret = false;

                Invoke((MethodInvoker)delegate  {
                    ret = !filePicker.Enabled; 
                });

                return ret;
            }
        }

        public FileInfo SafeGetSelected()
        {
            FileInfo ret = null;

            Invoke((MethodInvoker)delegate
            {
                try
                {
                    ret = new FileInfo((String)filePicker.Value);
                }
                catch (ArgumentException)
                {
                    ret = null;
                }
            });

            return ret;
        }

        private void acceptButton_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
            Hide();
            handle.Set();
        }

        private void cancelButton_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
            Hide();
            handle.Set();
        }

        private void altRadio_CheckedChanged(object sender, EventArgs e)
        {
            filePicker.Enabled = true;
        }

        private void overRadio_CheckedChanged(object sender, EventArgs e)
        {
            filePicker.Enabled = false;
        }       
    }
}
