﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WideStream.Configuration;
using WideStream.Core.ComponentModel;
using System.Collections.Specialized;
using WideStream.DownloadManager.Presentation;
using WideStream.FtpManager.Presentation;
using WideStream.Core.Network;
using WideStream.Configuration.ComponentModel;
using WideStream.FtpManager.Configuration;

namespace WideStream.FtpManager.Configuration
{
    [Options(Category = "ExplorerHistoryOptions.Category", LongName = "ExplorerHistoryOptions.LongName", ShortName = "ExplorerHistoryOptions.ShortName")]
	public sealed class ExplorerHistoryOptions : Options
	{
		#region Construction
		public ExplorerHistoryOptions()
		{
			HistorySize = HistorySize.Size100;
			HistorySaveRule = HistorySaveRule.OnlyDifferentLinks;
			History = new List<HistoryItem>();			
		}
		#endregion


		#region Properties
        [Editor("ExplorerHistoryOptions.HistorySize")]
		public HistorySize HistorySize { get; set; }

        [Editor("ExplorerHistoryOptions.HistorySaveRule")]
		public HistorySaveRule HistorySaveRule { get; set; }

        [Editor("ExplorerHistoryOptions.History", ColSpan = true, Editor = PropertyEditor.Custom, ControlType = typeof(HistoryList), Height = 140)]
		[SaveRule(Rule = SaveRule.Collection, ChildType = typeof(HistoryItem))]
		public List<HistoryItem> History { get; set; }
		#endregion
	}
}
