﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WideStream.Configuration;
using WideStream.Core.ComponentModel;
using System.Collections.Specialized;
using WideStream.DownloadManager.Presentation;
using WideStream.FtpManager.Presentation;
using WideStream.Core.Network;
using WideStream.Configuration.ComponentModel;

namespace WideStream.FtpManager.Configuration
{
    [Options(Category = "FtpManagerOptions.Category", LongName = "FtpManagerOptions.LongName", ShortName = "FtpManagerOptions.ShortName")]
	public sealed class FtpManagerOptions : Options
	{
		#region Construction
		public FtpManagerOptions()
		{
			RetryMode = RetryMode.Retry3;
			DownloadAction = FtpDownloadAction.SwitchToManager;
			Timeout = Timeout.Sec10;
            KeepAlive = false;
			AllowRegroupColumns = AllowResizeColumns = UsePassive = true;
			ExplorerColumns = ExplorerColumns.FileSize | ExplorerColumns.Type;
		}
		#endregion


		#region Properties
        [Editor("FtpManagerOptions.Timeout")]
		public Timeout Timeout { get; set; }

        [Editor("FtpManagerOptions.UsePassive")]
		public bool UsePassive { get; set; }

        [Editor("FtpManagerOptions.KeepAlive")]
        public bool KeepAlive { get; set; }

        [Editor("FtpManagerOptions.RetryMode")]
		public RetryMode RetryMode { get; set; }

        [Editor("FtpManagerOptions.DownloadAction")]
		public FtpDownloadAction DownloadAction { get; set; }

        [Editor("FtpManagerOptions.AllowResizeColumns")]
		public bool AllowResizeColumns { get; set; }

        [Editor("FtpManagerOptions.AllowRegroupColumns")]
		public bool AllowRegroupColumns { get; set; }

        [Editor("FtpManagerOptions.ExplorerColumns", Editor = PropertyEditor.FlagsEditor, ColSpan = true, Height = 50)]
		public ExplorerColumns ExplorerColumns { get; set; }
		#endregion
	}
}
