﻿using System;
using WideStream.Core.Network;

namespace WideStream.FtpManager
{
	public sealed class HistoryItem
	{
		#region Construction
		public HistoryItem()
		{

		}


		public HistoryItem(Uri url, string userName, string password) :
			this(url, new Credentials(userName, password))
		{

		}


		public HistoryItem(Uri url, Credentials credentials)
		{
			Url = url;
			Credentials = credentials;
		}
		#endregion


		#region Methods
		public override string ToString()
		{
			return Url != null ? Url.ToString() : String.Empty;
		}


		public override bool Equals(object obj)
		{
			return !(obj is HistoryItem) || (obj != null && ((HistoryItem)obj).Url == Url);
		}


		public override int GetHashCode()
		{
			return Url != null ? Url.GetHashCode() : 0;
		}
		#endregion


		#region Properties
		public Uri Url { get; set; }

		public Credentials Credentials { get; set; }
		#endregion
	}
}
