﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WideStream.Core.ComponentModel;
using WideStream.Core.Network;
using WideStream.Configuration.ComponentModel;
using WideStream.Workspace.Configuration;
using WideStream.HostManager.Configuration;

namespace WideStream.Configuration
{
    [Options(Category = "HostManagerOptions.Category", LongName = "HostManagerOptions.LongName", ShortName = "HostManagerOptions.ShortName")]
	public sealed class HostManagerOptions : Options
	{
		#region Construction
		public HostManagerOptions()
		{
			Hosts = new List<Host>();
			DisplayColumns = HostManagerColumns.Description | HostManagerColumns.ErrorLimit |
				HostManagerColumns.Priority | HostManagerColumns.Timeout;
			AllowRegroupColumns = AllowResizeColumns = true;
		}
		#endregion


		#region Properties
        [Editor("HostManagerOptions.AllowResizeColumns")]
		public bool AllowResizeColumns { get; set; }

        [Editor("HostManagerOptions.AllowRegroupColumns")]
		public bool AllowRegroupColumns { get; set; }

        [Editor("HostManagerOptions.DisplayColumns", ColSpan = true, Editor = PropertyEditor.FlagsEditor, Height = 70)]
		public HostManagerColumns DisplayColumns { get; set; }

		[SaveRule(Rule = SaveRule.Collection, ChildType = typeof(Host))]
		public List<Host> Hosts { get; private set; }
		#endregion
	}
}
