﻿using System;
using System.Collections.Generic;
using WideStream.Configuration.ComponentModel;
using WideStream.Integration.Presentation;

namespace WideStream.Integration
{
    [Options(Category = "Integration.Category", LongName = "Integration.LongName", ShortName = "Integration.ShortName")]
	public sealed class IntegrationOptions : Options
	{
		#region Construction
		public IntegrationOptions()
		{
            Integrations = new List<IntegrationAddin>();
		}
		#endregion


		#region Properties
		[Editor(SkipLabel = true, ColSpan = true, Editor = PropertyEditor.Custom, ControlType = typeof(BrowserPanel))]
		[SaveRule(Ignore = true)]
        public List<IntegrationAddin> Integrations { get; set; }        
		#endregion
	}
}
