﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using WideStream.Configuration.ComponentModel;
using System.Reflection;

namespace WideStream.Integration.Presentation
{
	public partial class BrowserPanel : UserControl, IEditor
	{
		#region Construction
		public BrowserPanel()
		{
			InitializeComponent();
		}
		#endregion


		#region Methods
		public void SetStandardValues(object value)
		{
			Controls.Clear();

			foreach (IntegrationAddin i in (IList<IntegrationAddin>)value)
			{
				if (Controls.Count > 0)
				{
					Panel pu = new Panel();
					pu.Dock = DockStyle.Top;
					pu.Height = 10;					
					Controls.Add(pu);
				}

				BrowserDataControl dc = new BrowserDataControl();
				dc.Dock = DockStyle.Top;
				dc.Integration = i;
				Controls.Add(dc);
			}
		}
		#endregion


		#region Properties
        private IList<IntegrationAddin> _value;
		public object Value
		{
			get { return _value; }
			set
			{
                _value = (IList<IntegrationAddin>)value;
				SetStandardValues(value);
			}
		}
        
        public bool IsDirty { get; private set; }
        
        public PropertyInfo RelatedProperty { get; set; }

		public event EventHandler<EditorEventArgs> ValueChanged;
		#endregion
	}
}
