﻿using System;

namespace WideStream.Logging
{
	public struct LogEntry
	{
		#region Construction
		public static readonly LogEntry Empty = default(LogEntry);

		public LogEntry(LogEntryType type, string message) : this(type, message, String.Empty)
		{
			
		}

		public LogEntry(LogEntryType type, string message, string header) : this()
		{
			Type = type;
			Message = message;
			Header = header;
		}
		#endregion


		#region Properties
		public LogEntryType Type { get; private set; }

		public string Message { get; set; }

		public string Header { get; set; }
		#endregion
	}
}
