﻿using System;
using System.Windows.Forms;
using WideStream.DownloadManager;
using WideStream.DownloadManager.Network.ObjectModel;
using WideStream.DownloadManager.Presentation;
using WideStream.Workspace;
using WideStream.Workspace.ComponentModel;

namespace WideStream.Startup.Activation
{
	public class ActivationService : MarshalByRefObject, IActivationService
	{
		#region Construction
        public ActivationService()
		{
        
        }
		#endregion


		#region Methods
		public void AddUrl(string url)
		{
			InternalAddUrl(url);
		}


		public void Ping()
		{

		}


		public void Activate()
		{
            if (Program.Environment.MainForm != null && Program.Environment.MainForm.IsHandleCreated)
				Program.Environment.MainForm.Invoke((MethodInvoker)
					(() => Program.Environment.MainForm.Activate()));
		}


		private void InternalAddUrl(string url)
		{
			if (!String.IsNullOrEmpty(url))
			{
				MethodInvoker functor = () =>
				{
					Uri uri;

					if (Uri.TryCreate(url, UriKind.Absolute, out uri))
					{
						DownloadProperties p = new DownloadProperties { Url = uri };
						UrlAnalyzer analyzer = new UrlAnalyzer(true);
						analyzer.InitializeDownload(p, null, uri);
						Program.Environment.MainForm.ChangeCurrentPage(Page.DownloadManager);
						((DownloadPage)Program.Environment.MainForm.CurrentPage).
						    ConfigureDownloads(new DownloadProperties[] { p });
					}
				};

             
                Program.Environment.MainForm.Invoke(functor);
			}
		}
		#endregion
	}
}
