﻿using System;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Ipc;

namespace WideStream.Startup.Activation
{
	public sealed class ClientChannel : ExecutionChannel
	{
		#region Construction
		private const string CHANNEL_NAME = "WideStream_Client";
		private IpcChannel channel;

		internal ClientChannel()
		{
			RegisterChannel();
		}
		#endregion


		#region Methods
		protected override void ReleaseChannel()
		{
			ChannelServices.UnregisterChannel(channel);
		}


		private void RegisterChannel()
		{
			channel = new IpcChannel(CHANNEL_NAME);
			ChannelServices.RegisterChannel(channel, false);			
		}
		#endregion
	}
}
