﻿using System;

namespace WideStream.Startup.Activation
{
	public abstract class ExecutionChannel : IProgramChannel
	{
		#region Construction
		private const string URI = "ipc://WideStream/WideStreamInstance";
		
		protected ExecutionChannel()
		{

		}
		#endregion


		#region Methods
		public static IProgramChannel CreateChannel<T>() where T : IProgramChannel
		{
			return typeof(T) == typeof(ServiceChannel) ? (IProgramChannel)new ServiceChannel() : 
				(IProgramChannel)new ClientChannel();
		}


		void IDisposable.Dispose()
		{
			ReleaseChannel();
		}


		protected virtual void ReleaseChannel()
		{

		}
		

		public IActivationService DiscoverService()
		{
			IActivationService service = Activator.GetObject(typeof(IActivationService), URI) as IActivationService;

			try
			{
				service.Ping();
				return service;
			}
			catch
			{
				return null;
			}
		}
		#endregion
	}
}
