﻿using System;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Ipc;

namespace WideStream.Startup.Activation
{
	public sealed class ServiceChannel : ExecutionChannel
	{
		#region Construction
		private const string CHANNEL_NAME = "WideStream";
		private const string URI = "WideStreamInstance";
		private IpcChannel channel;

		internal ServiceChannel()
		{
			RegisterChannel();
		}
		#endregion


		#region Methods
		private void RegisterChannel()
		{
			channel = new IpcChannel(CHANNEL_NAME);
			ChannelServices.RegisterChannel(channel, false);
			RemotingConfiguration.RegisterWellKnownServiceType(typeof(ActivationService),
				URI, WellKnownObjectMode.Singleton);
		}
		#endregion
	}
}
