﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WideStream.Startup.CommandLine
{
	public sealed class ErrorList : List<SwitchError>
	{
		#region Construction
		public ErrorList()
		{

		}
		#endregion


		#region Methods
		/// <summary>
		/// Prints all errors to a listing suitable for display in a console.
		/// </summary>
		/// <returns>A listing that contains string representation of
		/// <see cref="SwitchError"/> structure.</returns>
		public override string ToString()
		{
			StringBuilder sb = new StringBuilder("Unable to read command line parameters:\r\n");

			foreach (SwitchError e in this)
				sb.AppendLine(e.ToString());

			return sb.ToString();
		}
		#endregion
	}
}
