﻿using System;
using System.Windows.Forms;
using WideStream.Startup.Resources;

namespace WideStream.Workspace.Forms
{
	public sealed class FolderPicker : FileSystemPicker
	{
		#region Construction
		public FolderPicker()
		{
			
		}
		#endregion


		#region Methods
		protected override void InitializeTextBox(TextBox textBox)
        {
            textBox.AutoCompleteMode = AutoCompleteMode.Suggest;
            textBox.AutoCompleteSource = AutoCompleteSource.FileSystemDirectories;			
        }


		protected override void ButtonClicked()
		{
			FolderBrowserDialog fd = new FolderBrowserDialog();
            fd.Description = StringTable.GetString("FolderPicker.Description");

			if (fd.ShowDialog(this) == DialogResult.OK)
                TextBox.Text = fd.SelectedPath;
		}
        #endregion
	}
}
