﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace WideStream.Workspace.Forms
{
    public sealed class GroupSeparator : Label
    {
        #region Construction
        public GroupSeparator()
        {
			Font = new Font(Font, FontStyle.Bold);	
        }
        #endregion


        #region Methods
        protected override void OnPaint(PaintEventArgs e)
        {
            SizeF size = e.Graphics.MeasureString(Text, Font);
            e.Graphics.DrawString(Text, Font, SystemBrushes.ControlText, 0F, 0F);
            e.Graphics.DrawLine(SystemPens.ControlDarkDark, new PointF(size.Width + 5,
                size.Height / 2), new PointF(ClientSize.Width, size.Height / 2));
        }
        #endregion
    }
}
