﻿using System;
using System.Drawing;
using System.Reflection;
using System.Windows.Forms;
using WideStream.Configuration.ComponentModel;
using System.Collections.Generic;

namespace WideStream.Workspace.Forms
{
    public sealed class IconComboBox : ComboBox
    {
        #region Construction
        private IconItemPaintHelper helper;

        public IconComboBox()
        {
            helper = new IconItemPaintHelper();
            DropDownStyle = ComboBoxStyle.DropDownList;
            DrawMode = DrawMode.OwnerDrawVariable;
            SetStyle(ControlStyles.ResizeRedraw | ControlStyles.AllPaintingInWmPaint |
                ControlStyles.OptimizedDoubleBuffer, true);
        }
        #endregion


        #region Methods
        protected override void OnMeasureItem(MeasureItemEventArgs e)
        {
            e.ItemHeight = 15;
        }


        protected override void OnDrawItem(DrawItemEventArgs e)
        {
            helper.DrawItem(e, e.Index > -1 ? Items[e.Index] : null);
        }
        #endregion


        #region Properties
        public Image DefaultImage 
        {
            get { return helper.DefaultImage; }
            set { helper.DefaultImage = value; }
        }
        #endregion
    }
}