﻿using System;
using System.Reflection;
using System.Windows.Forms;
using WideStream.Configuration.ComponentModel;

namespace WideStream.Workspace.Forms
{
	public sealed class IntEditor : TextBox, IEditor
	{
		#region Construction
		public IntEditor()
		{

		}
		#endregion


		#region Methods
		protected override void OnKeyDown(KeyEventArgs e)
		{
			if (e.Control || e.Alt || e.KeyValue > 57 || e.KeyValue < 48)
				e.SuppressKeyPress = true;

			base.OnKeyDown(e);
		}


		protected override void OnTextChanged(EventArgs e)
		{
			int res;

			if (!Int32.TryParse(Text, out res))
				Text = String.Empty;

            IsDirty = true;
			OnValueChanged(new EditorEventArgs(Value));
			base.OnTextChanged(e);
		}


		public void SetStandardValues(object value)
		{

		}
		#endregion


		#region Properties
		public int Value
		{
			get { return Int32.Parse(Text); }
			set { Text = value.ToString(); }
		}

		object IEditor.Value
		{
			get { return Value; }
			set { Value = (Int32)value; }
		}

		public PropertyInfo RelatedProperty { get; set; }

        public bool IsDirty { get; private set; }
        #endregion
			
			
		#region Events
		public event EventHandler<EditorEventArgs> ValueChanged;
		private void OnValueChanged(EditorEventArgs e)
		{
			EventHandler<EditorEventArgs> h = ValueChanged;
			
			if (h != null)
				h(this, e);
		}
		#endregion
	}
}
