﻿using System;
using System.Reflection;
using System.Windows.Forms;
using WideStream.Configuration.ComponentModel;

namespace WideStream.Workspace.Forms
{
	public sealed class TextEditor : TextBox, IEditor
	{
		#region Construction
		public TextEditor()
		{

		}
		#endregion


		#region Methods
		public void SetStandardValues(object value)
		{

		}
		
		
		protected override void OnTextChanged(EventArgs e)
		{
            IsDirty = true;
			OnValueChanged(new EditorEventArgs(Value));
			base.OnTextChanged(e);
		}
		#endregion


		#region Properties
		public object Value
		{
			get { return Text; }
			set { Text = (String)value; }
		}

		public PropertyInfo RelatedProperty { get; set; }

        public bool IsDirty { get; private set; }
        #endregion
			
			
		#region Events
		public event EventHandler<EditorEventArgs> ValueChanged;
		private void OnValueChanged(EditorEventArgs e)
		{
			EventHandler<EditorEventArgs> h = ValueChanged;
			
			if (h != null)
				h(this, e);
		}
		#endregion
	}
}
