﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WideStream.Workspace
{
    public partial class HostDialog : Form
    {
        #region Construction
        public HostDialog()
        {
            InitializeComponent();
        }
        #endregion
        

        #region Methods
        private void text_Validating(object sender, CancelEventArgs e)
        {
            e.Cancel = ValidateTextField((TextBox)sender);
        }


        private bool ValidateTextField(TextBox tb)
        {
            if (tb.Text.Trim().Length == 0)
            {
                tb.Focus();
                errorProvider.SetError(tb, (String)tb.Tag);
                return true;
            }
            else
                errorProvider.SetError(tb, null);

            return false;
        }

        private void HostDialog_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (DialogResult != DialogResult.Cancel && (ValidateTextField(hostTextBox) || 
                ValidateTextField(userNameTextBox) || ValidateTextField(passwordTextBox)))
                e.Cancel = true;
        }
        #endregion


        #region Properties
        public string HostName
        {
            get { return hostTextBox.Text; }
            set { hostTextBox.Text = value; }
        }


        public string UserName
        {
            get { return userNameTextBox.Text; }
            set { userNameTextBox.Text = value; }
        }


        public string Password
        {
            get { return passwordTextBox.Text; }
            set { passwordTextBox.Text = value; }
        }
        #endregion        
    }
}
